Search documentation of polar_express

# PolarExpress.Schemas.CustomFieldSelect (polar_express v0.1.5)

Copy Markdown View Source

CustomFieldSelect

Schema for a custom field of type select.

## Summary

### Types

t()

### Functions

schema_name()

## Types

# t()

    @type t() :: %PolarExpress.Schemas.CustomFieldSelect{
      created_at: DateTime.t() | nil,
      id: String.t() | nil,
      metadata: PolarExpress.Schemas.MetadataOutputType.t() | nil,
      modified_at: DateTime.t() | nil,
      name: String.t() | nil,
      organization_id: String.t() | nil,
      properties: PolarExpress.Schemas.CustomFieldSelectProperties.t() | nil,
      slug: String.t() | nil,
      type: String.t() | nil
    }

- `created_at` - Creation timestamp of the object. Format: date-time.
- `id` - The ID of the object. Format: uuid4.
- `metadata`
- `modified_at` - Last modification timestamp of the object. Nullable.
- `name` - Name of the custom field.
- `organization_id` - The ID of the organization owning the custom field. Format: uuid4.
- `properties`
- `slug` - Identifier of the custom field. It'll be used as key when storing the value.
- `type`

## Functions

# schema_name()